﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace System.ComponentModel
{

    /// <summary>
    /// Support initialize - this interface exists
    /// in both Silverlight and WPF so we only
    /// require it in the Phone project
    /// </summary>
    public interface ISupportInitialize
    {
        /// <summary>
        /// Begins the init.
        /// </summary>
        void BeginInit();
        
        /// <summary>
        /// Ends the init.
        /// </summary>
        void EndInit();
    }

}
