﻿using Community.CsharpSqlite.Gwn.Library.SqliteDataProvider.Base;
using MsdnDemo.Infrastructure.Portable.Entities;
using MsdnDemo.LayerDataAccess.Sql;
using MsdnDemo.LayerDataAccess.Sqlite;

namespace MsdnDemo.LayerDataAccess
{
    public class UserDal : SqlDal<UserEntity>
    {
        protected override void PopulateEntityOnRead(IDataReader rdr, UserEntity data)
        {
            data.Id = rdr.GetTypeOf<int>("Id");
            data.FirstName = rdr.GetTypeOf<string>("FirstName");
            data.LastName = rdr.GetTypeOf<string>("LastName");
            data.PrimaryEmail = rdr.GetTypeOf<string>("PrimaryEmail");
            data.Password = rdr.GetTypeOf<string>("Password");
        }
    }
}
