﻿using Community.CsharpSqlite.Gwn.Library.SqliteDataProvider.Base;
using MsdnDemo.Infrastructure.Portable.Entities;
using MsdnDemo.LayerDataAccess.Sql;
using MsdnDemo.LayerDataAccess.Sqlite;

namespace MsdnDemo.LayerDataAccess
{
    public class UserRoleDal : SqlDal<UserRoleEntity>
    {
        protected override void PopulateEntityOnRead(IDataReader rdr, UserRoleEntity data)
        {
            data.Id = rdr.GetTypeOf<int>("Id");
            data.UserFk = rdr.GetTypeOf<int>("UserFk");
            data.RoleFk = rdr.GetTypeOf<int>("RoleFk");
        }
    }
}
