﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MsdnDemo.Infrastructure.Portable.Constants
{
    public class StatusCode
    {
        public const int NotDefined = -1;
        public const int Success = 0;

        // Supplemental information
        public const int AlreadyExists = 500;
        public const int DoesNotExist = 510;
        public const int NoData = 520;
        public const int NotAuthorized = 530;

        // Errors
        public const int TableCreateError = 1000;
        public const int TableDropError = 1010;
        public const int RecordCreateError = 1020;
        public const int UniquenessConstraint = 1030;

        // CRUDL
        public const int CreateFailed = 600;
        public const int ReadFailed = 610;
        public const int UpdateFailed = 620;
        public const int DeleteFailed = 630;
        public const int ListFailed = 640;


    }
}
