﻿
using System;
using MsdnDemo.Infrastructure.Portable.Events;

namespace MsdnDemo.Infrastructure.Portable.Interfaces
{
    public interface IBll
    {
        bool IsFailRequiredForUnitTest { get; set; }

        int CreateTable();
        int DropTable();

        // CRUDL
        int Create(DalEventArgs e);
        int Read(DalEventArgs e);
        int Update(DalEventArgs e);
        int Delete(DalEventArgs e);
        int List(DalEventArgs e);

        void Initialize();
    }
}
