﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MsdnDemo.Infrastructure.Portable.Interfaces
{
    public interface IView
    {
        /// <summary>
        /// Gets or sets the data context.
        /// </summary>
        /// <value>The data context.</value>
        object DataContext { get; set; }

        /// <summary>
        /// Finds the name.
        /// </summary>
        /// <param name="ctrlName">Name of the CTRL.</param>
        /// <returns></returns>
        object FindName(string ctrlName);
    }
}
