﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MsdnDemo.Infrastructure.Portable.Logger
{
    /// <summary>
    /// Logger interface
    /// </summary>
    public interface ILogger
    {

        /// <summary>
        /// Logs the specified message.
        /// </summary>
        /// <param name="message">The message.</param>
        void Log(string message);

        /// <summary>
        /// Logs the specified message.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="args">The args.</param>
        void Log(string message, params object[] args);
    }
}
