// Type: Microsoft.Practices.Prism.Bootstrapper
// Assembly: Gwn.Prism4.Phone, Version=1.0.0.0, Culture=neutral
// Assembly location: D:\DEV\MSDN\MsdnDemo.PlatformAssemblies\Phone\Gwn.Prism4.Phone.dll

using Microsoft.Practices.Prism.Logging;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using System.Windows;

namespace Microsoft.Practices.Prism
{
    public abstract class Bootstrapper
    {
        protected ILoggerFacade Logger { get; set; }
        protected IModuleCatalog ModuleCatalog { get; set; }
        protected DependencyObject Shell { get; set; }
        protected virtual ILoggerFacade CreateLogger();
        public void Run();
        protected virtual IModuleCatalog CreateModuleCatalog();
        protected virtual void ConfigureModuleCatalog();
        protected virtual void RegisterFrameworkExceptionTypes();
        protected virtual void InitializeModules();
        protected virtual RegionAdapterMappings ConfigureRegionAdapterMappings();
        protected virtual IRegionBehaviorFactory ConfigureDefaultRegionBehaviors();
        protected virtual void InitializeShell();
        public abstract void Run(bool runWithDefaultConfiguration);
        protected abstract DependencyObject CreateShell();
        protected abstract void ConfigureServiceLocator();
    }
}
