﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using MsdnDemo.Prism;

namespace MsdnDemo.Wpf
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            
            var bootStrapper = new GwnBootstrapper
            {
                InitializeShellCallBack = shell =>
                    {
                        Current.MainWindow = (Window)shell;
                        Current.MainWindow.Show();
                    }
            };
            bootStrapper.Run();

        }

    }
}
