﻿using System.Collections.Generic;
using MsdnDemo.Infrastructure.Portable.Entities;
using MsdnDemo.Infrastructure.Portable.Interfaces;

namespace MsdnDemo.LayerBusinessLogic.Interfaces
{
    public interface IUserBll : IBll
    {
        bool AuthenticateUser(string password);

        List<UserEntity> GetUserList();

        int DropRoleFromUser(string roleList);
        int CreateUsersWithRoles(UserEntity userEntity, string roleList);
        int CreateUsersWithRoles(UserEntity userEntity, List<RoleEntity> roles);
    }
}
