﻿using Community.CsharpSqlite.Gwn.Library.SqliteDataProvider.Base;
using MsdnDemo.Infrastructure.Portable.Entities;
using MsdnDemo.LayerDataAccess.Sql;
using MsdnDemo.LayerDataAccess.Sqlite;

namespace MsdnDemo.LayerDataAccess
{
    public class RolesDal : SqlDal<RoleEntity>
    {
        protected override void PopulateEntityOnRead(IDataReader rdr, RoleEntity data)
        {
            data.Id = rdr.GetTypeOf<int>("Id");
            data.Role = rdr.GetTypeOf<string>("Role");
            data.Description = rdr.GetTypeOf<string>("Description");
        }
    }
}
