﻿
using System;

namespace MsdnDemo.LayerDataAccess.Sqlite
{
    /// <summary>
    /// Class that SqliteUtilityExtension is based on
    /// </summary>
    public class SqlUtility
    {
        /// <summary>
        /// Gets or sets the type.
        /// </summary>
        /// <value>The type.</value>
        public Type Type { get; set; }

        /// <summary>
        /// Gets or sets the data.
        /// </summary>
        /// <value>The data.</value>
        public object Data { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="SqlUtility"/> class.
        /// </summary>
        /// <param name="type">The type.</param>
        public SqlUtility(Type type)
        {
            Type = type;
        }
    }
}
