﻿using System;

namespace MsdnDemo.Infrastructure.Portable.Attributes
{
    /// <summary>
    /// Excludes field from automated sql generation code
    /// </summary>
    public class DataFieldExcludeAttribute : Attribute
    {
        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string FieldName { get; set; }

    }
}
