﻿using System;
using MsdnDemo.Infrastructure.Portable.MvpVmBase;

namespace MsdnDemo.Infrastructure.Portable.Events
{
    /// <summary>
    /// DelegateCommand EventArgs
    /// </summary>
    public class DelegateCommandEventArgs : EventArgs
    {
        /// <summary>
        /// Gets or sets the Sender.
        /// </summary>
        /// <value>The start date.</value>
        public object Sender {get;set;}
      
        /// <summary>
        /// Gets or sets the view model.
        /// </summary>
        /// <value>The view model.</value>
        public IMvpVmViewModel ViewModel { get; set; }

        /// <summary>
        /// Gets or sets the tag.
        /// </summary>
        /// <value>The tag.</value>
        public object Tag { get; set; }
    }
}
