﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MsdnDemo.Infrastructure.Portable.Events
{
    public class MessageEventArgs : EventArgs
    {
        public object Sender { get; set; }
        public Enum Type { get; set; }
        public string Message { get; set; }
        public bool IsError { get; set; }
        public bool IsInvalid { get; set; }
        public int StatusCode { get; set; }
        public int ErrorCode { get; set; }
        private Exception _exception;
        public Exception Exception
        {
            get { return _exception; }
            set
            {
                _exception = value;
                IsError = true;
            }
        }
    }
}
