﻿using System.Linq;
using MsdnDemo.Infrastructure.Portable.Interfaces;

namespace MsdnDemo.Infrastructure.Portable.Extensions
{
    public static class SecurityViewModelExtension
    {
        public static bool IsInRole1(this ISecurityViewModel viewModel, string role)
        {
            if (viewModel.Roles == null || viewModel.Roles.Count() == 0)
                return false;

            var result = viewModel.Roles.FirstOrDefault(r => r.ToLower() == role.ToLower());
            return (result != null);

        }
    }
}
