﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MsdnDemo.Infrastructure.Portable.Interfaces
{
    public interface IBootstrapper
    {
        /// <summary>
        /// Runs this instance.
        /// </summary>
        void Run();

        /// <summary>
        /// Runs the specified shell.
        /// </summary>
        /// <param name="shell">The shell.</param>
        void Run(IShell shell);
    }
}
