﻿using System.Collections.Generic;

namespace MsdnDemo.Infrastructure.Portable.Interfaces
{
    public interface ISecurityViewModel
    {
        int Id { get; set; }
        string Login { get; set; }
        bool IsAuthenticated { get; set; }
        IEnumerable<string> Roles { get; set; }

        bool IsInRole(string roleName);
        bool IsInRole(string[] roleName);

    }
}
