﻿using Microsoft.Practices.Unity;
using MsdnDemo.Infrastructure.Portable.Interfaces;
using MsdnDemo.LayerBusinessLogic.Base;
using MsdnDemo.LayerBusinessLogic.Interfaces;

namespace MsdnDemo.Mvc3.Tests.Mocks
{
    public class MockBll : BllBase<MockEntity>, IMockBll
    {
        public bool IsSuccessful { get; set; }

        [Dependency]
        public ISecurityViewModel SecurityVm { get; set; }

        [Dependency]
        public IUserBll UserBll { get; set; }

        public bool AuthenticateUser(string password)
        {
            return UserBll.AuthenticateUser(password);
        }
    }
}
