﻿using Community.CsharpSqlite.Gwn.Library.SqliteDataProvider.Base;
using Microsoft.Practices.Unity;
using MsdnDemo.LayerDataAccess.Sql;
using MsdnDemo.LayerDataAccess.Sqlite;

namespace MsdnDemo.Mvc3.Tests.Mocks
{
    public class MockDal : SqlDal<MockEntity>
    {
        [Dependency]
        public MockEntity Data { get; set; }

        protected override void PopulateEntityOnRead(IDataReader rdr, MockEntity data)
        {
            data.Id = rdr.GetTypeOf<int>("Id");
            data.Login = rdr.GetTypeOf<string>("Login");
            data.Password = rdr.GetTypeOf<string>("Password");
        }
    }
}
